# $Revision: 1.52 $, $Date: 2008-01-13 21:11:18 $

%define		theme	LiquidWeatherPlus

Summary:	superkaramba - LiquidWeatherPlus theme
Summary(pl.UTF-8):	superkaramba - motyw LiquidWeatherPlus
Name:		superkaramba-theme-%{theme}
Version:	14.8
Release:	1
License:	GPL
Group:		Themes
Source0:	http://www.message.co.nz/~matt-sarah/lwp-%{version}.skz
# Source0-md5:	da50c1a48e504181be189628c378c0c1
Source1:	http://mirrors.borgnet.us/matt-lw/Glossy.tar.bz2
# Source1-md5:	f56593dccd5086a23f6b545c4663325f
Source2:	http://mirrors.borgnet.us/matt-lw/Kapsules.tar.bz2
# Source2-md5:	e7fcffa5f00914117926b963ca80095b
URL:		http://liquidweather.net/
Requires:	ImageMagick
Requires:	python-PyQt >= 3.13
Requires:	python-sip
Requires:	superkaramba >= 0.39
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_liquiddir	/themes/superkaramba/liquid_weather_plus

%description
LiquidWeatherPlus theme for superkaramba. Features:
 - Weather forecasts from weather.com or BBC for most cities worldwide.
 - Details of current conditions.
 - Daily forecasts and weather details for today and the following 4
   days.
 - Hourly forecasts for the next 12 hours, if using weather.com as a
   data source.
 - All sorts of different weather maps for all major world regions,
   including Antarctica.
 - View up to 5 web cams.
 - All data updates automatically every 1, 2 or 3 hours.
 - Multiple background and icon themes.
 - Gui configuration for everything through the configuration menu.

%description -l pl.UTF-8
Motyw LiquidWeatherPlus do superkaramby. Wyświetlane informacje:
 - Prognoza pogody z weather.com oraz BBC z większości miast świata.
 - Warunki pogodowe.
 - Zapowiedź pogody oraz szczególy dla aktualnego dnia oraz następnych
   czterech dni.
 - Przewidywanie pogody dla następnych 12 godzin, jeżeli używamy
   weather.com jako źródło danych.
 - Wszystkie rodzaje różnych map pogody dla wszystkich ważniejszych
   rejonów, również Antarktyki.
 - Widok z 5 kamer internetowych.
 - Wszystkie dane uaktualniane są co 1, 2 lub 3 godziny.
 - Różne rodzaje tła oraz motywy ikon.
 - Graficzna konfiguracja przez menu konfiguracyjne.

%package icons-Glossy
Summary:	Glossy icons set for Liquid Weather Plus theme
Summary(pl.UTF-8):	Ikony Glossy dla motywu Liquid Weather Plus
Group:		Themes
Requires:	%{name} = %{version}-%{release}

%description icons-Glossy
Glossy icons set for Liquid Weather Plus theme.

%description icons-Glossy -l pl.UTF-8
Ikony Glossy dla motywu Liquid Weather Plus.

%package icons-Kapsules
Summary:	Kapsules icons set for Liquid Weather Plus theme
Summary(pl.UTF-8):	Ikony Kapsules dla motywu Liquid Weather Plus
Group:		Themes
Requires:	%{name} = %{version}-%{release}

%description icons-Kapsules
Kapsules icons set for Liquid Weather Plus theme.

%description icons-Kapsules -l pl.UTF-8
Ikony Kapsules dla motywu Liquid Weather Plus.

%prep

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}%{_liquiddir} \
	$RPM_BUILD_ROOT%{_datadir}%{_liquiddir}/icons/{Glossy,Kapsules}/{large_icons,small_icons} \

install %{SOURCE0} $RPM_BUILD_ROOT%{_datadir}%{_liquiddir}/lwp.skz

# install Glossy,Kapsules icons
cd  $RPM_BUILD_ROOT%{_datadir}%{_liquiddir}/icons
tar fvxj %{SOURCE1}
tar fvxj %{SOURCE2}
cd -

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(644,root,root,755)
%dir %{_datadir}%{_liquiddir}
%{_datadir}%{_liquiddir}/lwp.skz
%dir %{_datadir}%{_liquiddir}/icons

%files icons-Glossy
%defattr(644,root,root,755)
%{_datadir}%{_liquiddir}/icons/Glossy

%files icons-Kapsules
%defattr(644,root,root,755)
%{_datadir}%{_liquiddir}/icons/Kapsules

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: superkaramba-theme-LiquidWeatherPlus.spec,v $
Revision 1.52  2008-01-13 21:11:18  blekot
- up to 14.8

Revision 1.51  2007-06-24 06:56:03  rotom
- up to 14.7

Revision 1.50  2007/04/10 18:39:06  blekot
- up to 14.6

Revision 1.49  2007/03/18 09:12:36  rotom
- up to 14.5

Revision 1.48  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.47  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.46  2007/01/05 09:05:09  rotom
- up to 14.0

Revision 1.45  2006/12/12 11:43:22  rotom
- up to 13.4

Revision 1.44  2006/11/12 17:52:58  rotom
- up to 13.3

Revision 1.43  2006/11/01 21:27:27  czarny
- up to 13.2

Revision 1.42  2006/08/22 16:53:43  rotom
- up to 13.0

Revision 1.41  2006/06/26 20:28:05  rotom
- 12.5.1

Revision 1.40  2006/06/05 09:52:14  rotom
- up to 12.3

Revision 1.39  2006/05/28 13:10:45  rotom
- up to 12.2

Revision 1.38  2006/05/07 10:57:53  rotom
- up to 12.1

Revision 1.37  2006/05/07 07:47:16  rotom
- up to 12.0

Revision 1.36  2006/04/23 17:24:41  rotom
- up to 11.2

Revision 1.35  2006/04/02 12:43:09  rotom
- up to 11.0

Revision 1.34  2006/03/11 16:33:43  rotom
- up to 10.2

Revision 1.33  2006/03/03 22:34:36  rotom
- up to 10.1
- added missing R

Revision 1.32  2006/02/25 09:02:25  rotom
- up to 10.0

Revision 1.31  2006/02/05 12:18:41  blekot
- updated to 9.2.3

Revision 1.30  2006/01/29 14:12:29  blekot
- up to 9.2.1
- fixed working with kde 3.5.1
- STBR!

Revision 1.29  2006/01/26 10:55:41  qboosh
- missing dirs
- keep empty prep for builder

Revision 1.28  2006/01/25 22:46:50  blekot
- up to 9.2
- simplified spec file. superkaramba uses skz files. No need to repackage.
- added 2 subpackages for iconsets
- works!
- rel 1

Revision 1.27  2006/01/25 16:07:15  blekot
- added more iconsets (Glossy, Kapsules)
- spec is ready for 9.2 version (but this ver is broken and gives random features ;-)
- rel 3

Revision 1.26  2006/01/18 13:02:52  blekot
- added locales hack (temporary)
- cleaning %install
- STBR

Revision 1.25  2005/12/02 21:18:21  blekot
- up to 8.7.2
- find_lang added
- working with en locale
- TODO added --> (rel 0.9)

Revision 1.24  2005/06/08 16:30:15  blekot
- up to 6.2

Revision 1.23  2005/05/24 21:51:14  blekot
- R: superkaramba >=0.36

Revision 1.22  2005/05/23 22:31:43  blekot
- up to 6.1

Revision 1.21  2005/05/11 15:55:04  blekot
- up to 5.2.1

Revision 1.20  2005/05/04 16:06:38  blekot
- up to 5.0

Revision 1.19  2005/04/30 12:46:04  paszczus
- updated to 4.2

Revision 1.18  2005/04/27 20:42:00  blekot
- up to 4.1.1

Revision 1.17  2005/04/23 07:26:03  paszczus
- updated to 4.0
- adaptarized

Revision 1.16  2005/04/11 09:20:15  blekot
- up to 3.11

Revision 1.15  2005/03/29 21:10:24  blekot
- rel 3.10 ; STBR

Revision 1.14  2005/03/19 12:04:04  blekot
- up to 3.9
- cosmetics

Revision 1.13  2005/03/13 18:19:17  blekot
- up to 3.8.1
- STBR (Polish translations are now included)

Revision 1.12  2005/03/12 15:53:01  blekot
- updated to 3.8

Revision 1.11  2005/03/06 21:10:25  blekot
-up to 3.7.1

Revision 1.10  2005/03/05 15:15:35  blekot
- updated to 3.7

Revision 1.9  2005/02/08 19:18:33  blekot
- typo (Don't forget to insert dot at the end of sentence.)

Revision 1.8  2005/02/07 22:57:13  blekot
- scripts and tricks to simplify and shorten spec file

Revision 1.7  2005/02/07 21:08:18  blekot
- simplified

Revision 1.6  2005/02/06 00:58:39  blekot
- up to 3.6
- URL
- needs Polish traslation (see http://www.message.co.nz/~matt-sarah/#Translations%3A)

Revision 1.5  2005/02/06 00:41:33  blekot
- updated to 3.5.2
- R: superkaramba >= 0.35

Revision 1.4  2005/01/24 22:37:50  wolvverine
- add catalog patch by  lukaszgl at post dot pl

Revision 1.3  2005/01/22 22:02:02  paszczus
- updated to 3.4.4 (by lukaszgl at cavern.com.pl)
- release 1; STBR

Revision 1.2  2005/01/05 22:23:39  qboosh
- formatting, caps, typo

Revision 1.1  2005/01/05 14:39:33  aniolek
- initial
- superkaramba theme
- send by Lukasz Glebicki <lukaszgl@post.pl>
- builds but needs to verify
- http://kde-look.org/content/show.php?content=6384
